Bug 271342 - Random gdb error
Random gdb error
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
Dev
PC Linux
: P2 (vote)
: Dev
Assigned To: Maria Tishkova
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-22 02:15 UTC by tbrunhoff
Modified: 2017-09-02 03:23 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tbrunhoff 2017-08-22 02:15:10 UTC
When stopping at some breakpoints, presumably associated with the context, I get messages in popup windows like this:

command:"-var-evaluate-expression var39"; error, msg=Variable object not found

looking at the gdb log, this is probably related to this series of events"

428^done,name="var39",numchild="0",value="1920",type="uint",thread-id="1",has_more="0"
448-var-show-attributes "var39"
472-var-delete var39
510-var-evaluate-expression var39


----------------------------------
GNU gdb (GDB) Fedora 7.8.2-39.fc21
Copyright (C) 2014 Free Software Foundation, Inc.


Product Version: NetBeans IDE Dev (Build 201708180001)
Java: 1.8.0_45; Java HotSpot(TM) 64-Bit Server VM 25.45-b02
Runtime: Java(TM) SE Runtime Environment 1.8.0_45-b14
System: Linux version 4.1.13-100.fc21.x86_64 running on amd64; UTF-8; en_US (nb)
User directory: /home/toddb/.netbeans/dev
Cache directory: /home/toddb/.cache/netbeans/dev
Comment 1 Maria Tishkova 2017-08-22 06:23:57 UTC
Please attach GDB log.

Also I have added new check box that allows to not pop up debugger error windows.
Comment 2 Maria Tishkova 2017-08-31 14:40:46 UTC
fixed in cnd-main
changeset:   304484:573d7368f179
tag:         tip
user:        Maria Dalmatova <mromashova@netbeans.org>
date:        Thu Aug 31 17:39:28 2017 +0300
summary:     fixed bz#271342 - Random gdb error
Comment 3 Quality Engineering 2017-09-02 03:23:35 UTC
Integrated into 'main-silver', will be available in build *201709020001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/573d7368f179
User: Maria Dalmatova <mromashova@netbeans.org>
Log: fixed bz#271342 - Random gdb error
do not imvoke generic failure on expression evaluation if variable not found


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo